Subject: Re: FVWM: mozilla/phoenix 'preferences' transient windows behavior

From: Josef Siemes <[email-masked]>
Date: Thu, 31 Oct 2002 11:37:23 +0100

Hi,

Denis Perelyubskiy <[email-masked]> schrieb am 31.10.02 05:57:38:
> has anyone noticed that "Preferences" window of mozilla can
> get lowered to the point where it is obscured by the parent
> if you were to switch focus to the parent mozilla window?
> Same goes for phoenix...
> 
> The rest of my transient windows (including 'find', etc in
> mozilla) behave how I would expect them to: lose focus but
> stay on top when I focus on the parent window.

I also noted that. In mozilla you're able to use the parent window while the
preferences dialog is active, so this actually makes (some) sense. In netscape
4.x you aren't able to use the parent window, and fvwm keeps the transient
in front of the main window. Netscape tells this to the window manager.

As for 2.4.11 there was a fix included for 'transients of transients' (hi Dominik :-)
which you also can generate with netscape 4.x.

You can see the root window the transient defines with 'xprop', look for
"WM_TRANSIENT_FOR", this reports the window ID for the parent, you can
see the window ID with xwininfo.

Regards,

Josef

________________________________________________________________
Keine verlorenen Lotto-Quittungen, keine vergessenen Gewinne mehr! 
Beim WEB.DE Lottoservice: http://tippen2.web.de/?x=13

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].